Page MenuHome

Crash when I render with gpu
Closed, ResolvedPublic

Description

System Information
Operating system: Windows
Graphics card: AMD RADEON 540

Blender Version
Broken:
2.80 (sub 37), branch: blender2.8, commit date: 2018-12-16 18:53, hash: ea33b90a1bf, type: Release
build date: 16/12/2018, 11:04
platform: Windows

Short description of error
Crash instantly when rendering with gpu, for example the default cube. I have the latest drivers and I use the latest Blender build. It does not work in 2.79 or in 2.80.

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

We need more info than that. Not just "Stuff doesn't work!". A lot of things can be rendered by the GPU.

When does it crash (just on startup, when rendering in the viewport)?
How do you get there etc?
Does it work in 2.79?

I would also suggest that you try to update your GPU drivers and see if that helps.

This sounds like a non blender problem if this doesn't work with blender 2.79. You could try to download luxmark and see if you can get it to render on your GPU: http://www.luxmark.info/

Thanks, blender 2.8 do not crash since the last build.
It shows that I have two graphics, but in reality it is an integrated one and an external one. Does this matter?


This is how voronoi is rendered:

How did you render that cube? If you just render it with eevee then that is a know problem with intel GPUs. So you can try to switch so you use your AMD card instead to render the voronoi cube and see if that helps

I made all possible combinations (8) but I always get the same in Eevee. In Cycles it works.

I mean that you are probably using you intel GPU to render with eevee.
https://winaero.com/blog/set-preferred-gpu-apps-windows-10/

The voronoi problem for intel GPU is already known: T58387

Sebastian Parborg (zeddb) closed this task as Resolved.Dec 19 2018, 5:19 PM
Sebastian Parborg (zeddb) claimed this task.

I'll close this as resolved as the original issue is solved.

I know that, by default, windows already configures it with high performance.

And you have the latest drivers for you AMD card?

Radeon Settings Version - 2018.1130.1050.19499
Driver Packaging Version - 18.40.11.10-181130a-336524E-RadeonSoftwareAdrenalin
Provider - Advanced Micro Devices, Inc.
2D Driver Version - 8.1.1.1634
Direct3D® Version - 9.14.10.01363
OpenGL® Version - 24.20.11000.13542
OpenCL™ Version - 25.20.14011.10001
AMD Mantle Version - 9.1.10.0282
AMD Mantle API Version - Not Available
AMD Audio Driver Version - Not Available
Vulkan™ Driver Version - 2.0.55
Vulkan™ API Version - 1.1.82

Hi, I found a solution in a Davinci Resolve forum and I wanted to share it.
"ANYONE else having issues with AMD Radeon series GPUs in Resolve after installing Adrenaline (or any version) drivers, I would recommend the following:
Install the current version of Display Driver Uninstaller, AKA DDU, from here:
https://www.wagnardsoft.com/
Uninstall the current AMD driver, whatever it is, and install the Crimson 17.11.4 driver here:
https://www.amd.com/en/support/kb/relea ... in-17-11-4
"